package net.wanji.opt.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemGreenDayMapper;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemGreenDay;
import net.wanji.opt.servicev2.judgeanalysis.impl.AnalysisProblemCrossDayServiceImpl;
import net.wanji.opt.servicev2.judgeanalysis.impl.AnalysisProblemGreenDayServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;

@Component
@Configurable
@EnableScheduling
@Slf4j
@Profile("!dev")
public class AnalysisProblemDayTask {
    @Autowired
    private AnalysisProblemCrossDayServiceImpl analysisProblemCrossDayServiceImpl;
    @Autowired
    private AnalysisProblemCrossDayMapper analysisProblemCrossDayMapper;
    @Autowired
    private AnalysisProblemGreenDayMapper analysisProblemGreenDayMapper;
    @Autowired
    private AnalysisProblemGreenDayServiceImpl nalysisProblemGreenDayServiceImpl;

    @Scheduled(cron = "0 15 0 ? * *")
    public  void task(){
        //执行检查路口id是否还有area_id没赋值的数据
        analysisProblemCrossDayServiceImpl.updateCrossAreaIdByCondition();
        //执行检查绿波id是否还有area_id没赋值的数据
        nalysisProblemGreenDayServiceImpl.updateGreenAreaIdByCondition();
        //检查昨日数据是否有统计
        List<AnalysisProblemCrossDay> list = analysisProblemCrossDayMapper.checkData();
        if(list.isEmpty())
        {
            analysisProblemCrossDayMapper.insertAnalysisProblemCrossDay();
        }
        //检查昨日数据是否有统计
        List<AnalysisProblemGreenDay> list1 = analysisProblemGreenDayMapper.checkData();
        if(list1.isEmpty())
        {
            analysisProblemGreenDayMapper.insertAnalysisProblemGreenDay();
        }
    }
}
